#include <pch.hpp>

#include <renderer/model3d.hpp>

#include <gltf/gltf_model3d.hpp>
#include <instrumentor.hpp>
#include <ref_scope.hpp>


namespace OpenEngine {

    Ref<Model3D> Model3D::Create(const char* path)
    {
        OE_PROFILE_FUNCTION();

        return CreateRef<GLTFModel3D>(path);
    }

}
